Namespaces | Functions
PAG1Parser.cpp File Reference
`#include "PAG1Parser.h"`
`#include <functional>`
`#include <boost/optional.hpp>`
`#include "IWORKChainedTokenizer.h"`
`#include "IWORKCalcEngineContext.h"`
`#include "IWORKDiscardContext.h"`
`#include "IWORKGroupElement.h"`
`#include "IWORKHeaderFooterContext.h"`
`#include "IWORKImageElement.h"`
`#include "IWORKMediaElement.h"`
`#include "IWORKMetadataElement.h"`
`#include "IWORKNumberConverter.h"`
`#include "IWORKNumberElement.h"`
`#include "IWORKStyleRefContext.h"`
`#include "IWORKStylesContext.h"`
`#include "IWORKStylesheetBase.h"`
`#include "IWORKTabularInfoElement.h"`
`#include "IWORKToken.h"`
`#include "PAG1AnnotationContext.h"`
`#include "PAG1Dictionary.h"`
`#include "PAG1ShapeContext.h"`
`#include "PAG1StyleContext.h"`
`#include "PAG1TextStorageElement.h"`
`#include "PAG1Token.h"`
`#include "PAG1XMLContextBase.h"`
`#include "PAGCollector.h"`
`#include "PAGTypes.h"`
`#include "libetonyek_xml.h"`

## Namespaces
| libetonyek

## Functions
| libetonyek::IWORK_DECLARE_NUMBER_CONVERTER (PAGFootnoteKind)

## Variable Documentation

## ◆ m_footnoteKind

optional<PAGFootnoteKind> m_footnoteKind
| private

## ◆ m_opened

bool m_opened
| private

## ◆ m_page

optional<int> m_page
| private

## ◆ m_printInfo

IWORKPrintInfo m_printInfo
| private

## ◆ m_pubInfo

PAGPublicationInfo m_pubInfo
| private

## ◆ m_rpage

optional<int> m_rpage
| private

## ◆ m_size

optional<IWORKSize> m_size
| private

## ◆ m_value

optional<T>& m_value
| private